#!/usr/bin/env ruby

require 'rbconfig'
require 'optparse'

CURRENT_PATH = File.dirname(__FILE__)
THIS_FILE = File.expand_path(__FILE__)
RUBY = File.join(RbConfig::CONFIG['bindir'], RbConfig::CONFIG['ruby_install_name'])

options = {}

opt_parser = OptionParser.new do |opt|
	opt.banner = "Usage: bundle_symlinklocalisations [OPTIONS]"
	opt.separator  ""
	opt.separator  "Options"
	
	opt.on("-b", "--bundlePath [PATH]", "the path to the bundle") do |bundle_path|
    	options[:bundlePath] = bundle_path
	end
end

opt_parser.parse!

bundle_path = options[:bundlePath]

if !bundle_path
	puts opt_parser
	exit -1
end

script_path = File.join(CURRENT_PATH, "bundle_symlinklocalisations_policy.rb")
bundle_path = File.expand_path(bundle_path)
default_policy = "{'en.lproj' => 'en-GB.lproj', 'zh.lproj' => 'zh-Hans.lproj'}"

exit system(RUBY, script_path, "--bundlePath", "#{bundle_path}", "--symlinkPolicy", default_policy)
